--- Creates Local Varaibles for player
local grid_x, grid_y, act_x, act_y, speed, inAir

player = { grid_x = 2, grid_y = 2, act_x = 32, act_y = 32, speed = 10, inAir = false }

--- Creates a function for animation and playersheets
function loadPlayer()
  love.filesystem.load(path)() -- Used in the animation and imaging system.
end

--- Performs math to calculate the player's movement
function updatePlayer(dt)
  player.act_y = player.act_y - ((player.act_y - player.grid_y * TILESIZE) * player.speed * dt)
  player.act_x = player.act_x - ((player.act_x - player.grid_x * TILESIZE) * player.speed * dt)
end 

--- This applys the force of gravity ot the player
function forceofGravity(dt)
  local gravity = 4 * dt --- Creates a local variable named gravity and multiplies it by delta time
  if testMap(0, math.ceil(gravity)) then --- Makes an aproximation of players location so that test map can using floats
    player.grid_y = player.grid_y + gravity
  end
end