-- main.lua
require 'map-functions'
require 'player-functions'

function love.load()
  loadMap('maps/basic_test.lua') --- See map-functions
  love.graphics.setMode(400, 140, false, true, 0) --set the window dimensions to 400 by 140 with no fullscreen, vsync on, and no antialiasing 
end

function love.draw()
  drawMap() --- See map-functions
  love.graphics.rectangle("fill", player.act_x - TILESIZE, player.act_y - TILESIZE, TILESIZE, TILESIZE) --- Temporary
end

function love.update(dt)
  updatePlayer(dt) --- See player-functions
  forceofGravity(dt) --- See player-functions
end

function love.keypressed(key)
    if key == "up" then
        if testMap(0, -1) then
		  player.grid_y = player.grid_y - 1
		end
    elseif key == "left" then
        if testMap(-1, 0) then
		  player.grid_x = player.grid_x - 1
		end
    elseif key == "right" then
        if testMap(1, 0) then
		  player.grid_x = player.grid_x + 1
        end
	elseif key == "down" then
	  if testMap (0, 1) then
	    player.grid_y = player.grid_y + 1
      end
	end 
end